GnomeVFSContext
3
GNOME-VFS-2.0 Library

# GnomeVFSContext

contexts allows modules to track thread usage and cancellation properly

## Synopsis

    GnomeVFSContext*    gnome_vfs_context_new               (void);
    void                gnome_vfs_context_free              (GnomeVFSContext *ctx);
    GnomeVFSCancellation* gnome_vfs_context_get_cancellation
                                                            (const GnomeVFSContext *ctx);
    #define             gnome_vfs_context_check_cancellation(x)
    const GnomeVFSContext* gnome_vfs_context_peek_current   (void);
    gboolean            gnome_vfs_context_check_cancellation_current
                                                            (void);

## Description

## Details

### gnome_vfs_context_new ()

    GnomeVFSContext*    gnome_vfs_context_new               (void);

Creates a new context and cancellation object. Must be called from the main glib event loop.

Returns :

  a newly allocated GnomeVFSContext.

### gnome_vfs_context_free ()

    void                gnome_vfs_context_free              (GnomeVFSContext *ctx);

Free `ctx` and destroy the associated GnomeVFSCancellation.

`ctx` :

  context to be freed.

### gnome_vfs_context_get_cancellation ()

    GnomeVFSCancellation* gnome_vfs_context_get_cancellation
                                                            (const GnomeVFSContext *ctx);

Retrieve the GnomeVFSCancellation associated with `ctx`.

`ctx` :

  context to get the GnomeVFSCancellation from.

Returns :

  `ctx` 's GnomeVFSCancellation.

### gnome_vfs_context_check_cancellation()

    #define             gnome_vfs_context_check_cancellation(x)

`x` :

### gnome_vfs_context_peek_current ()

    const GnomeVFSContext* gnome_vfs_context_peek_current   (void);

Get the currently active context. It shouldn't be manipulated but can be compared to contexts module holds to determine whether they are active.

Returns :

  the currently active GnomeVFSContext.

### gnome_vfs_context_check_cancellation_current ()

    gboolean            gnome_vfs_context_check_cancellation_current
                                                            (void);

Check to see if the currently active context has been cancelled.

Returns :

  `TRUE` if the currently active context has been cancelled, otherwise `FALSE`.